﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace Msls.Web.Models
{
    /// <summary>
    /// 统计结果实体
    /// </summary>
    public class StatisticsResult
    {
        /// <summary>
        /// 二维表数据
        /// </summary>
        public DataTable Master { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public DataTable Assistant { get; set; }

        /// <summary>
        /// 表式统计图的类型 Table Chart
        /// </summary>
        public string StatisticGraph { get; set; }

        /// <summary>
        /// 数据返回模式，0-直接返回结果，1-返回基础数据和运算规则
        /// </summary>
        public int ResultMode { get; set; }

        /// <summary>
        /// 运算规则
        /// </summary>
        public string ComputationRule { get; set; }
    }
}